GET /sms/v1/automation/importSend/{tokenid}/status

Overview 

Retrieves the status of a ImportSend automation.

URL Parameters 

NameTypeDescription
tokenIDstringRequiredThe ID provided in the ImportSend REST response.

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /sms/v1/automation/importSend/bzZ0cENGam1FZUtNX0poTDRYZzhlQTo2Mzow/status
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1{
2"status": "Complete",
3"lastUpdate": "2013-08-22T00:20:27.117Z",
4"createdTime": "2013-08-22T00:12:38.317Z",
5"startTime": "2013-08-22T00:12:38.31Z",
6"completedTime": "2013-08-22T00:20:27.113Z",
7"lastRunTime": "2013-08-22T00:12:38.31Z",
8"source": "PracticeReminder.csv", // New in January 2014 Release
9"inserted": 15, //number of new records in _MobileSubscription, new in January 2014 release
10"updated": 0, // number of updated records, new in January 2014 release
11"invalid": 0 // number of invalid rows in the import file, new in January 2014 release
12}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!